% ////////////////////////////////////////////////////////////////////
% FILE,     HBF2LModel_tb.m
% PROJECT,  HBF2L
% AUTHOR,   weitao.du
% DATE,     2007.Jun.11th
% VERSION,  0.1
% ////////////////////////////////////////////////////////////////////
% DECRIPTION
% 2 Level Half Band Fir Filter Design and Simulation, model Testbench
% ////////////////////////////////////////////////////////////////////

function tbOut = HBF2LModel_tb();
  close all
  clc
  fprintf(1, 'HBF2LModel_tb(), run\n');
  cfg = HBF2LCfg(); % generate config
  simData = HBF2LInit(cfg); % init data
  simData = HBF2LModel(cfg, simData); % run simulation
  HBF2LAnalyse(cfg, simData); % analyse result
  HBF2LGenHdlStim(cfg, simData); % generate hdl stimulation files
  HBF2LGenRTL(cfg, simData); % generate RTL files
  tbOut.cfg = cfg;  % set return value
  tbOut.simData = simData;
end  % function HBF2LModel_tb();


